> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /zenodo/records

> Get a Zenodo research record (dataset, software, publication, etc.) by ID, URL, or DOI

**Price:** 1 credit

**⚠️ Common errors:** 412: Record not found



## OpenAPI

````yaml /openapi/research-papers.json post /api/zenodo/records
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/zenodo/records:
    post:
      tags:
        - /zenodo
      summary: /zenodo/records
      description: >-
        Get a Zenodo research record (dataset, software, publication, etc.) by
        ID, URL, or DOI


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Record not found
      operationId: __api_zenodo_records_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZenodoRecordPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ZenodoRecord'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ZenodoRecordPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        record:
          type: string
          minLength: 1
      type: object
      required:
        - record
    ZenodoRecord:
      properties:
        '@type':
          type: string
          default: ZenodoRecord
        id:
          type: integer
        url:
          type: string
        doi:
          anyOf:
            - type: string
            - type: 'null'
        doi_url:
          anyOf:
            - type: string
            - type: 'null'
        concept_doi:
          anyOf:
            - type: string
            - type: 'null'
        concept_recid:
          anyOf:
            - type: string
            - type: 'null'
        swhid:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        access_right:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        license:
          anyOf:
            - type: string
            - type: 'null'
        notes:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        resource_type:
          anyOf:
            - $ref: '#/components/schemas/ZenodoResourceType'
            - type: 'null'
        creators:
          items:
            $ref: '#/components/schemas/ZenodoCreator'
          type: array
          default: []
        contributors:
          items:
            $ref: '#/components/schemas/ZenodoCreator'
          type: array
          default: []
        keywords:
          items:
            type: string
          type: array
          default: []
        subjects:
          items:
            $ref: '#/components/schemas/ZenodoSubject'
          type: array
          default: []
        communities:
          items:
            type: string
          type: array
          default: []
        grants:
          items:
            $ref: '#/components/schemas/ZenodoGrant'
          type: array
          default: []
        related_identifiers:
          items:
            $ref: '#/components/schemas/ZenodoRelatedIdentifier'
          type: array
          default: []
        references:
          items:
            type: string
          type: array
          default: []
        dates:
          items:
            $ref: '#/components/schemas/ZenodoRecordDate'
          type: array
          default: []
        files:
          items:
            $ref: '#/components/schemas/ZenodoFile'
          type: array
          default: []
        stats:
          anyOf:
            - $ref: '#/components/schemas/ZenodoStats'
            - type: 'null'
        is_latest_version:
          anyOf:
            - type: boolean
            - type: 'null'
        version_index:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ZenodoResourceType:
      properties:
        '@type':
          type: string
          default: ZenodoResourceType
        type:
          anyOf:
            - type: string
            - type: 'null'
        subtype:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ZenodoCreator:
      properties:
        '@type':
          type: string
          default: ZenodoCreator
        name:
          type: string
        affiliation:
          anyOf:
            - type: string
            - type: 'null'
        orcid:
          anyOf:
            - type: string
            - type: 'null'
        gnd:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ZenodoSubject:
      properties:
        '@type':
          type: string
          default: ZenodoSubject
        term:
          anyOf:
            - type: string
            - type: 'null'
        identifier:
          anyOf:
            - type: string
            - type: 'null'
        scheme:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ZenodoGrant:
      properties:
        '@type':
          type: string
          default: ZenodoGrant
        code:
          anyOf:
            - type: string
            - type: 'null'
        acronym:
          anyOf:
            - type: string
            - type: 'null'
        program:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        funder:
          anyOf:
            - $ref: '#/components/schemas/ZenodoFunder'
            - type: 'null'
      type: object
    ZenodoRelatedIdentifier:
      properties:
        '@type':
          type: string
          default: ZenodoRelatedIdentifier
        identifier:
          anyOf:
            - type: string
            - type: 'null'
        relation:
          anyOf:
            - type: string
            - type: 'null'
        scheme:
          anyOf:
            - type: string
            - type: 'null'
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ZenodoRecordDate:
      properties:
        '@type':
          type: string
          default: ZenodoRecordDate
        type:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ZenodoFile:
      properties:
        '@type':
          type: string
          default: ZenodoFile
        id:
          anyOf:
            - type: string
            - type: 'null'
        key:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: integer
            - type: 'null'
        checksum:
          anyOf:
            - type: string
            - type: 'null'
        download_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ZenodoStats:
      properties:
        '@type':
          type: string
          default: ZenodoStats
        downloads:
          anyOf:
            - type: integer
            - type: 'null'
        unique_downloads:
          anyOf:
            - type: integer
            - type: 'null'
        views:
          anyOf:
            - type: integer
            - type: 'null'
        unique_views:
          anyOf:
            - type: integer
            - type: 'null'
        version_downloads:
          anyOf:
            - type: integer
            - type: 'null'
        version_unique_downloads:
          anyOf:
            - type: integer
            - type: 'null'
        version_views:
          anyOf:
            - type: integer
            - type: 'null'
        version_unique_views:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    ZenodoFunder:
      properties:
        '@type':
          type: string
          default: ZenodoFunder
        name:
          anyOf:
            - type: string
            - type: 'null'
        doi:
          anyOf:
            - type: string
            - type: 'null'
        acronym:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````